import pipes
import subprocess
from os import path


DEV_NULL = open(path.devnull, 'w')


def run_silent(esc_cmd):
    """
    :param esc_cmd: Escaped shell-command. Use pipes.quote() to escape input form external sources
    :type esc_cmd: str
    :rtype: int
    """
    return subprocess.call(
        [esc_cmd],
        shell=True,
        stdout=DEV_NULL,
        stderr=subprocess.STDOUT)


def quote(data):
    """
    :type data: str
    :rtype: str
    """
    return pipes.quote(data)
